Subject: [bug#33386] [PATCH 1/2] gnu: gajim: Add support for Guix packaged plugins.

From: Clément Lassieur <[email-masked]>
Date: Mon, 19 Nov 2018 17:02:36 +0100

Danny Milosavljevic <[email-masked]> writes:

> Hi Clément,
>
>> I don't understand what this means.
>> > I thought one can use any number of profiles - and this patch could
>> > definitely pick from the wrong one.  
>> 
>> What do you mean?  This patch just adds the Guix packaged plugins to the
>> list of plugin dirs.
>
> guix supports any number of profiles as one user, the ~/.guix-profile one is just
> the default, you can create and select profiles at will.
>
> You can specify any profile you want using the option "-p" to "guix package" -
> also, "guix environment" will create a custom profile.
>
> However, your patch hardcodes ~/.guix-profile which is in general not what a user
> using "-p" would want.  I agree that it makes sense to search for the plugins in
> the current profile, but it's not clear to me that ~/.guix-profile is always
> guaranteed to BE the current profile.  Is it?
>
> According to https://www.gnu.org/software/guix/manual/en/html_node/Invoking-guix-environment.html#FOOT16 ,
> fontconfig already hardcodes ~/.guix-profile and "guix environment" has a
> special flag to fake it, so maybe (probably?) it's OK to use it after all.
>
> I hope someone else can chime in - but this is what immediately caught my
> eye because what's the use of all these environment variables if one
> hard-codes ~/.guix-profile anyway - could have hard-coded it in all packages,
> then...

Understood, thanks for this nice explanation!

I attached a new patch.  What do you think?

Thanks,
Clément